function love.load()
    -- load the song
	songNotes = love.filesystem.load("song.txt")
	a, s, d, f, songFile = songNotes()
	if songFile and love.filesystem.exists(songFile) then
	    songMusic = love.audio.newSource(songFile, "static")
	end
	-- title screen stuff
	gamestate = "title"
	titleSelect = 320
end

function love.draw()
    if gamestate == "title" then
		-- draw the title screen
		love.graphics.printf("asdfhero", 0, 290, 800, "center")
		love.graphics.print("start", 300, 320)
		love.graphics.print("edit", 300, 335)
		love.graphics.print("quit", 300, 350)
		love.graphics.print(">", 280, titleSelect)
	end
	if gamestate == "edit" then
		love.graphics.print("select song file format", 250, 290)
		love.graphics.print("edit level", 450, 290)
		love.graphics.print(">", titleSelect, 290)
	end
	if gamestate == "formatselect" then
		love.graphics.print("OGG", 300, 275)
		love.graphics.print("WAV", 300, 290)
		love.graphics.print("MP3", 300, 305)
		love.graphics.print(">", 280, titleSelect)
	end
	if gamestate == "leveledit" then
	    love.graphics.printf(songMusic:tell("seconds"), 0, 290, 800, "center")
	end
end

function love.update(dt)
    if gamestate == "leveledit" then
		
	end
end

function love.focus(f)
end

function love.keypressed(key)
	-- menu controls
	if gamestate == "title" then
		if key == "down" and titleSelect < 350 then
			titleSelect = titleSelect + 15
		elseif key == "up" and titleSelect > 320 then
			titleSelect = titleSelect - 15
		end
		if key == "return" then
			if titleSelect == 320 then
				gamestate = "ingame"
			elseif titleSelect == 335 then
				if songMusic then
					gamestate = "edit"
					titleSelect = 230
				else
					gamestate = "formatselect"
					titleSelect = 275
				end
			elseif titleSelect == 350 then
				love.event.push("quit")
			end
		end
	end
	if gamestate == "edit" then
		if key == "right" and titleSelect == 230 then
			titleSelect = 430
		end
		if key == "left" and titleSelect == 430 then
			titleSelect = 230
		end
		if key == "return" and titleSelect == 230 then
			gamestate = "formatselect"
			titleSelect = 275
		elseif key == "return" and titleSelect == 430 then
		    gamestate = "leveledit"
			songMusic:play()
		end
		if key == "escape" then
			gamestate = "title"
			titleSelect = 335
		end
	end
	if gamestate == "formatselect" then
		if key == "down" and titleSelect < 305 then
			titleSelect = titleSelect + 15
		elseif key == "up" and titleSelect > 275 then
			titleSelect = titleSelect - 15
		end
		if key == "return" then
			if titleSelect == 275 then
				if love.filesystem.exists("song.ogg") then
					songMusic = love.audio.newSource("song.ogg")
					gamestate = "edit"
					saveLevel("ogg")
					titleSelect = 230
				end
			elseif titleSelect == 290 then
				if love.filesystem.exists("song.wav") then
					songMusic = love.audio.newSource("song.wav")
					gamestate = "edit"
					saveLevel("wav")
					titleSelect = 230
				end
			elseif titleSelect == 305 then
				if love.filesystem.exists("song.mp3") then
					songMusic = love.audio.newSource("song.mp3")
					gamestate = "edit"
					saveLevel("mp3")
					titleSelect = 230
				end
			end
			if key == "escape" then
				if songMusic then
					gamestate = "edit"
				elseif not songMusic then
					gamestate = "title"
				end
			end
		end
	end
	if gamestate == "leveledit" then
		if key == "left" then
		    if not(songMusic:isPaused()) then
			    songMusic:pause()
			end
		elseif key == "right" then
		    if songMusic:isPaused() then
			    songMusic:resume()
			end
		end
		if key == "escape" then
		    gamestate = "edit"
		end
	end
end

function love.keyreleased(key)
end

function love.mousepressed(x, y, button)
end

function love.mousereleased(x, y, button)
end

function saveLevel(fileFormat)
    for i in ipairs(a) do
		for j in ipairs(s) do
			for k in ipairs(d) do
				for l in ipairs(f) do
					success = love.filesystem.write("song.txt", "return {" .. tostring(a[i]) .. "}, {" .. tostring(s[j]) .. "}, {" .. tostring(d[k]) .. "}, {" .. tostring(f[l]) .. "}, 'song." .. fileFormat .. "'")
				end
			end
		end
	end
end